<h1 align="center">Loadouts for Genshin Impact</h1>

<p align="center">
    <img src="https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/imgs/pmon/8.png" alt="drawing" width="200"/>
</p>


<p align="center">
    This is a desktop application that allows travelers to manage their custom 
    equipment of artifacts and weapons for playable characters, and to make it 
    convenient for travelers to calculate the associated statistics based on their 
    equipment using the semantic understanding of how the gameplay works. 
    Travelers can create their bespoke loadouts consisting of characters, 
    artifacts and weapons and share them with their fellow travelers. Supported 
    file formats include a human-readable Yet Another Markup Language (YAML) 
    serialization format and in the near future, a JSON-based Genshin Open Object 
    Definition (GOOD) serialization format.
</p>

<p align="center">
    This project is currently in its beta phase and we are committed to delivering 
    a quality experience with every release we make. If you are excited about the 
    direction of this project and want to contribute to the efforts, we would 
    greatly appreciate it if you help us boost the project visibility by starring 
    the project repository, address the fixing releases by reporting the 
    experienced errors, choose the project direction by proposing the intended 
    features, enhance the project usability by documenting the project repository, 
    improve the project codebase by opening the pull requests and finally, persist 
    our maintenance efforts by sponsoring the development members.
</p>

## Screenshots

-  Light mode - **Console (Arlecchino)**  
   ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/lite.png)

-  Dark mode - **Console (Xianyun)**  
   ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/dark.png)

-  Light mode - **Results (Arlecchino)**  
   ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/lite_rslt.png)

-  Dark mode - **Results (Xianyun)**  
   ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/dark_rslt.png)

-  **Help**  
   ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/lcns.png)

-  **Info**  
   ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/info.png)

## Download

### Stable releases

**Releases** for the _general usability purposes_ can be found [here](https://github.com/gridhead/gi-loadouts/releases).

### Nightly releases

**Releases** for the _testing debugging purposes_ can be found [here](https://github.com/gridhead/expedite/actions).

## Usage

1.  Select the [*vision*](https://genshin-impact.fandom.com/wiki/Vision) from 
    the dropdown menu to quickly locate the 
    [*character*](https://genshin-impact.fandom.com/wiki/Character) 
    that you wish to manage the equipment for.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_char_vson.png)

2.  Select the [*character*](https://genshin-impact.fandom.com/wiki/Character) 
    from the dropdown menu aligned with the 
    [*element*](https://genshin-impact.fandom.com/wiki/Element) 
    that was selected previously.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_char_name.png)

3.  Select the [*level*](https://genshin-impact.fandom.com/wiki/Character_EXP) 
    of the [*character*](https://genshin-impact.fandom.com/wiki/Character) 
    experience from the dropdown menu and the statistics of the character 
    will be calculated automatically.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_char_levl.png)

4.  Select the [*level*](https://genshin-impact.fandom.com/wiki/Constellation) 
    of the [*character*](https://genshin-impact.fandom.com/wiki/Character) 
    constellation from the dropdown menu and statistics of the character will 
    be calculated automatically.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_char_cons.png)

5.  Quickly switch over to either of the 
    [*travelers*](https://genshin-impact.fandom.com/wiki/Traveler), **Lumine** 
    or **Aether** from the 
    [*character*](https://genshin-impact.fandom.com/wiki/Character) menu using 
    the **VENUS** or **MARS** buttons respectively.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_char_lumi.png)  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_char_aeth.png)

6.  Once the [*character*](https://genshin-impact.fandom.com/wiki/Character) 
    is selected from the dropdown menu, the compatible 
    [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon) 
    type is automatically selected.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_weap_type.png)

7.  Select the [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon) of 
    your choice from the dropdown menu that you want to equip.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_weap_name.png)

8.  Select the [*level*](https://genshin-impact.fandom.com/wiki/Weapon_EXP) 
    of the [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon) 
    experience from the dropdown menu and the statistics of the weapon like 
    will be calculated automatically.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_weap_levl.png)

9.  Select the [*rank*](https://genshin-impact.fandom.com/wiki/Refinement_Rank)
    of the [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon) 
    refinement from the dropdown menu and the statistics of the weapon will 
    be calculated automatically.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_weap_refn.png)

10. Save the [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon) 
    equipment to your local storage by using the **SAVE** button beside the 
    sections.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_weap_save.png)

11. Load the [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon) 
    equipment from your local storage by using the **LOAD** button beside the 
    sections.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_weap_load.png)

12. Once the [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon) has 
    been configured, configure the 
    [*artifacts*](https://genshin-impact.fandom.com/wiki/Artifact) by 
    selecting the artifact 
    [*set*](https://genshin-impact.fandom.com/wiki/Artifact/Sets) 
    from the dropdown menu.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_type.png)

13. Select the [*quality*](https://genshin-impact.fandom.com/wiki/Quality) 
    associated with the 
    [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) 
    sought from the dropdown menu so that the possible 
    [*levels*](https://genshin-impact.fandom.com/wiki/Artifact_EXP) are 
    populated.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_rare.png)

14. Select the [*level*](https://genshin-impact.fandom.com/wiki/Artifact_EXP) 
    of the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) 
    experience from the dropdown menu.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_levl.png)

15. Select the 
    [*primary stat*](https://genshin-impact.fandom.com/wiki/Artifact/Stats) of 
    the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) from the 
    dropdown menu and the statistics of the artifact will be calculated 
    automatically.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_main.png)

16. Select the 
    [*secondary stats*](https://genshin-impact.fandom.com/wiki/Artifact/Stats) 
    of the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) from 
    the dropdown menu from each 
    [*distribution*](https://genshin-impact.fandom.com/wiki/Artifact/Distribution) 
    area.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_seco.png)

17. Enter the value associated with the 
    [*secondary stats*](https://genshin-impact.fandom.com/wiki/Artifact/Stats) 
    of the
    [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) from the 
    dropdown menu from each 
    [*distribution*](https://genshin-impact.fandom.com/wiki/Artifact/Distribution) 
    area.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_data.png)

18. Save the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) 
    units to your local storage by using the **SAVE** buttons beside the 
    distribution areas.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_save.png)

19. Load the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) 
    units from your local storage by using the **LOAD** buttons beside the 
    distribution areas.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_load.png)

20. Wipe the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) 
    units from the configuration area by using the **WIPE** buttons beside the 
    distribution areas.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_arti_wipe.png)

21. Read the 
    [*artifact bonuses*](https://genshin-impact.fandom.com/wiki/Artifact/Sets) 
    available to the character when using two pieces or four-pieces of a 
    certain [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) 
    set.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_team_bone.png)

22. Save the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact)
    sets to your local storage by using the **SAVE** buttons beside the 
    distribution areas.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_team_save.png)

23. Load the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact)
    sets from your local storage by using the **LOAD** buttons beside the 
    distribution areas.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_team_load.png)

24. Wipe the [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact)
    sets from the configuration area by using the **WIPE** buttons beside the 
    distribution areas.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_team_wipe.png)

25. Calculate the 
    [*character*](https://genshin-impact.fandom.com/wiki/Character) potential 
    with the equipped 
    [*artifact*](https://genshin-impact.fandom.com/wiki/Artifact) units or sets 
    and [*weapon*](https://genshin-impact.fandom.com/wiki/Weapon).  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_team_scan.png)

26. View the calculations of the character potential on the newly created 
    dialog box.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_calc.png)

27. View the 
    [*help details*](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/lcns.png) 
    about the application by clicking on the **HELP** button from the user 
    interface.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/lcns.png)

28. View the 
    [*info details*](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/info.png) 
    about the application by clicking on the **INFO** button from the user 
    interface.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/info.png)

29. View the [*homepage*](https://github.com/gridhead/gi-loadouts/) of the 
    project by clicking on the **FORK** button from the user interface.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_full.png)

30. Donate to the [*project*](https://github.com/sponsors/gridhead) by 
    clicking on the **HEART** button from the user interface.  
    ![](https://raw.githubusercontent.com/gridhead/gi-loadouts/main/assets/docs/docs_full.png)

## Development

### On GNU/Linux distributions

1.  Ensure that the necessary packages are available on the operating system installation.
    ```
    $ sudo dnf install git
    $ sudo dnf install python3 python3-pip python3-virtualenv poetry
    ```
2.  Clone your fork to the local storage and make it your current working directory.
    ```
    $ git clone https://github.com/gridhead/gi-loadouts.git
    $ cd gi-loadouts
    ```
3.  Create a virtual environment and activate it for installing project dependencies.
    ```
    $ virtualenv venv
    $ source venv/bin/activate
    ```
4.  Install the project dependencies after verifying the correctness of the configuration.
    ```
    (venv) $ poetry check
    (venv) $ poetry install
    ```
5.  Start the application after verifying that the dependencies have been installed.
    ```
    (venv) $ poetry show
    (venv) $ gi-loadouts
    ```
6.  Once done with making changes in a separate branch, make a pull request to contribute.

### On Microsoft Windows

1.  Ensure that the necessary packages are available on the operating system installation.
    ```
    Git - https://git-scm.com/download/
    Python 3 - https://www.python.org/downloads/
    ```
2.  Clone your fork to the local storage and make it your current working directory.
    ```
    PS > git clone https://github.com/gridhead/gi-loadouts.git
    PS > cd gi-loadouts
    ```
3.  Create a virtual environment and activate it for installing project dependencies.
    ```
    PS > py -m venv venv
    PS > .\venv\Scripts\activate
    ```
4.  Install the project dependencies after installing the dependency management tools.
    ```
    (venv) PS > py -m pip install poetry
    (venv) PS > poetry install
    ```
5.  Start the application after verifying that the dependencies have been installed.
    ```
    (venv) PS > poetry show
    (venv) PS > gi-loadouts.cmd
    ```
6.  Once done with making changes in a separate branch, make a pull request to contribute.

## Contribution

You can help our efforts by

- **Star the project repository**  
  Starring our project repository on GitHub not only helps us witness your 
  support and boost the visibility for the project but it also motivates us 
  to continue improving and expanding our efforts.

- **Report the experienced errors**  
  If you encounter any errors that should be taken care of, please file them 
  as issue tickets on our issue tracker to help us identify problems as it is 
  when we will be able to address the problems.

- **Propose the intended features**  
  If you have any ideas that should be introduced in the project, please file 
  them as issue tickets on our issue tracker to help us understand the 
  direction you want the project to take in the future.

- **Document the project repository**  
  Facilitating a comprehensive project documentation not only enhances the 
  project repository but it also vital for the project's growth among users 
  and project's approachability among developers.

- **Write the project codebase**  
  Consider opening a pull request against the project repository to contribute 
  to the project codebase whether it is for fixing errors, adding features, 
  amending documentation or modifying assets.

- **Sponsor the project maintainers**  
  By providing financial support, the maintainers have the means to dedicate 
  more efforts into the development of the project codebase and ensure 
  compatibility from each upcoming Genshin Impact release.

## Disclaimer

All rights to Genshin Impact assets used in this project are reserved by 
miHoYo Ltd. and Cognosphere Pte., Ltd.

Other properties belong to their respective owners.
